Subject: Re: Cross compilation for MIPS/68000 embedded applications.
From: [email-masked] (Imerio Ballarini)

7 May 1997 04:24:55 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Posted-Date: Wed, 7 May 1997 03:36:43 -0700 (PDT)
X-Mailer: Mozilla 4.0b3 [en] (Win95; I)
Original-To: "[email-masked]" <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Originally I wrote:

> I've built the 17.1 distribution of GCC as a cross compiler for the MIPS
> processor and have got it to compile all of my embedded app. On linking
> however, I'm getting unresolved "virtual table" references for some (and
> only some) of my classes and I don't know why.  The code I'm compiling
> builds fine under different compilers.  The specific class methods that
> fail have nothing in common and differ little from my other classes that
> build and link successfully.

Thanks to all those that replied concerning our problems as outlined
above.
For those that may be interested we have now built our app with the
native
Win32 GNU compiler (that we built) and we get exactly the same
unresolved
references to virtual tables for some of our classes only and we have no
idea why.  So it has nothing to do with _cross_ compilation and
everything
to do with the GNU compiler.  

Me thinks I'll have to get stuck into the compiler - but I'm so scared!

> I'm at a loss.  Any ideas?  Has anyone successfully xcompiled embedded
> code?
> 
> Anyway, the whole job has been a pain and I have to do it all over again
> for my 68000 apps.  I don't suppose any of you have built a 68000
> xcompiler?
> 
> Thanks,
> -Imerio.
> 
> --
> Imerio Ballarini
> Bay Networks, Watford, UK.
> Tel +44 (0)1923 479819
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Imerio Ballarini
Bay Networks, Watford, UK.
Tel +44 (0)1923 479819
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".